# Copyright (C) 2005 JanRain, Inc.
# Copyright (C) 2009, 2010 Canonical Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class BaseUtil(object):

    def cls_field_storage(self):
        raise NotImplementedError

    def cls_session(self):
        raise NotImplementedError

    def const_done(self):
        raise NotImplementedError

    def const_http_forbidden(self):
        raise NotImplementedError

    def const_http_moved_temporarily(self):
        raise NotImplementedError

    def const_ok(self):
        raise NotImplementedError

    def const_server_return(self):
        raise NotImplementedError

    def func_add_cookie(self):
        raise NotImplementedError

    def func_get_cookies(self):
        raise NotImplementedError

    def func_log_error(self):
        raise NotImplementedError
